.\"	$NetBSD: loadbsd.8,v 1.3 2001/04/12 13:37:25 wiz Exp $
.Dd August 13, 1998
.Dt LOADBSD 8 x68k
.Os
.Sh NAME
.Nm loadbsd
.Nd load and boot NetBSD/x68k kernel from Human68k
.Sh SYNOPSIS
.Nm loadbsd.x
.Op Fl hvV
.Op Fl abDs
.Op Fl r Ar root_device
.Ar kernel_file
.Sh DESCRIPTION
.Nm
is a program runs on Human68k.
It loads and executes the specified
.Nx Ns Tn /x68k
kernel.
.Pp
The options (for
.Nm
itself) are as follows:
.Bl -tag -width flag
.It Fl h
Show help and exit.
.It Fl v
Enable verbose mode.
.It Fl V
Print version of
.Nm
and exit.
.El
.Pp
The options for
.Nx
kernel are as follows:
.Bl -tag -width flag
.It Fl a
Auto (multi-user) boot.
This disables
.Fl s
flag.
.It Fl b
Ask boot device during boot.
Pass
.Dv RB_ASKNAME
boot flag to the kernel.
.It Fl d
Use compiled-in rootdev.
Pass
.Dv RB_DFLTROOT
boot flag to the kernel.
.It Fl D
Enter kernel debugger.
Pass
.Dv RB_KDB
boot flag to the kernel.
.It Fl r Ar root_device
Specify boot device, which shall be mounted as root device.
The default device is
.Sq Li sd@0,0:a .
Note that the boot device name is
.Em not
the same as that of
.Nx .
See
.Sx BOOT DEVICE NAMES
below.
.It Fl s
Single user boot.
Pass
.Dv RB_SINGLE
boot flag to the kernel.
This disables
.Fl a
flag.
This flag is set by default.
.El
.Pp
Although listed separately, the options may be in any order.
.Sh BOOT DEVICE NAMES
The format of boot device names is:
.Pp
.Dl "[/interface/]dev@unit[,lun][:partition]"
.Pp
.Bl -tag -width Fl
.It interface
SCSI interface type.
One of:
.Sq Li spc@0 ,
.Sq Li spc@1 ,
.Sq Li mha@0 .
If the dev is a SCSI device, and interface is omitted,
the current boot interface is used.
.It dev
Device type.
One of:
.Sq Li fd
(floppy disk drive),
.Sq Li sd
(SCSI disk),
.Sq Li cd
(SCSI CD-ROM),
.Sq Li md
(Memory disk).
.It unit
Device unit #.
You must specify the target SCSI ID if dev is a SCSI device.
.It lun
SCSI LUN #.
0 is assumed if omitted.
.It partition
Partition letter of device.
Partition
.Sq Li a
is used if omitted.
.El
.Sh FILES
.Bl -tag -width /usr/mdec/loadbsd.xxxx -compact
.It Pa /usr/mdec/loadbsd.x
You will find this program here.
.El
.Sh SEE ALSO
.Xr reboot 2 ,
.Xr boot 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 1.4 .
.Sh BUGS
.Nm
reads the entire kernel image at once,
and requires enough free area on the main memory.
